{"openapi":"3.1.0","info":{"title":"GET /api/v1/quickbooks/status","version":"1.0.0","description":"QuickBooks connection status"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/quickbooks/status":{"get":{"tags":["quickbooks"],"summary":"QuickBooks connection status","description":"Returns connection health and migration import status.","operationId":"get_connection_status_api_v1_quickbooks_status_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/app__core__success__SuccessEnvelope_GetConnectionStatusResponse___5"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"app__api__v1__schemas__quickbooks__responses__GetConnectionStatusResponse":{"properties":{"connected":{"type":"boolean","title":"Connected"},"healthy":{"type":"boolean","title":"Healthy","default":false},"realm_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Realm Id"},"company_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Company Name"},"last_synced_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Synced At"},"import_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Import Status"},"import_summary":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Import Summary"},"last_error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Error Message"}},"additionalProperties":true,"type":"object","required":["connected"],"title":"GetConnectionStatusResponse","description":"Response for ``get_connection_status``."},"app__core__success__SuccessEnvelope_GetConnectionStatusResponse___5":{"properties":{"success":{"type":"boolean","title":"Success","default":true},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"},"data":{"anyOf":[{"$ref":"#/components/schemas/app__api__v1__schemas__quickbooks__responses__GetConnectionStatusResponse"},{"type":"null"}]}},"additionalProperties":true,"type":"object","title":"SuccessEnvelope[GetConnectionStatusResponse]"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}